For the complete documentation index, see llms.txt. This page is also available as Markdown.

Shopify

get
Authorizations
Path parameters
tagIdstringRequired
Responses
200

Successful

application/json
tagIdstringRequired
domainstringRequired
newsletterFormstringOptional
themestringRequired
themeVersionnumberRequired
checkoutstringOptional
additionalCodestringRequired
embedCodestringRequired
forceLiquidbooleanRequired
customPixelbooleanRequired
appPixelbooleanRequired
skipVariantNamebooleanRequired
additionalNotesbooleanRequired
newsletterEventNamestringRequired
adminRemovedVelocitybooleanOptional
customTagRulesstring[]Optional
get/shopify/settings/{tagId}
GET /v1/shopify/settings/{tagId} HTTP/1.1
Host: api.edgetag.io
Accept: */*
{
  "tagId": "text",
  "domain": "text",
  "newsletterForm": "text",
  "theme": "text",
  "themeVersion": 1,
  "checkout": "text",
  "additionalCode": "text",
  "embedCode": "text",
  "forceLiquid": true,
  "customPixel": true,
  "appPixel": true,
  "skipVariantName": true,
  "additionalNotes": true,
  "newsletterEventName": "text",
  "adminRemovedVelocity": true,
  "customTagRules": [
    "text"
  ]
}
post
Authorizations
Path parameters
tagIdstringRequired
Body
newsletterFormstringOptional
themestringOptional
themeVersionnumberOptional
checkoutstringOptional
additionalCodestringOptional
embedCodestringOptional
forceLiquidbooleanOptional
customPixelbooleanOptional
appPixelbooleanOptional
skipVariantNamebooleanOptional
additionalNotesbooleanOptional
newsletterEventNamestringOptional
Responses
200

Successful

application/json
object · Model80Optional
post/shopify/settings/{tagId}
POST /v1/shopify/settings/{tagId} HTTP/1.1
Host: api.edgetag.io
Content-Type: application/json
Accept: */*
Content-Length: 247

{
  "newsletterForm": "text",
  "theme": "text",
  "themeVersion": 1,
  "checkout": "text",
  "additionalCode": "text",
  "embedCode": "text",
  "forceLiquid": true,
  "customPixel": true,
  "appPixel": true,
  "skipVariantName": true,
  "additionalNotes": true,
  "newsletterEventName": "text"
}
{}
put
Authorizations
Path parameters
tagIdstringRequired
Body
newsletterFormstringOptional
themestringOptional
themeVersionnumberOptional
checkoutstringOptional
additionalCodestringOptional
embedCodestringOptional
forceLiquidbooleanOptional
customPixelbooleanOptional
appPixelbooleanOptional
skipVariantNamebooleanOptional
additionalNotesbooleanOptional
newsletterEventNamestringOptional
adminRemovedVelocitybooleanOptional
Responses
200

Successful

application/json
object · Model105Optional
put/shopify/settings/{tagId}
PUT /v1/shopify/settings/{tagId} HTTP/1.1
Host: api.edgetag.io
Content-Type: application/json
Accept: */*
Content-Length: 356

{
  "newsletterForm": "text",
  "theme": "text",
  "themeVersion": 1,
  "checkout": "text",
  "additionalCode": "text",
  "embedCode": "text",
  "forceLiquid": true,
  "customPixel": true,
  "appPixel": true,
  "skipVariantName": true,
  "additionalNotes": true,
  "newsletterEventName": "text",
  "adminRemovedVelocity": true,
  "customTagRules": [
    {
      "source": "text",
      "match": "text",
      "key": "text",
      "tagUrl": "text"
    }
  ]
}
{}
delete
Authorizations
Path parameters
tagIdstringRequired
Responses
200

Successful

application/json
object · Model113Optional
delete/shopify/settings/{tagId}
DELETE /v1/shopify/settings/{tagId} HTTP/1.1
Host: api.edgetag.io
Accept: */*
{}
get
Authorizations
Path parameters
tagIdstringRequired
Responses
200

Successful

application/json
customPixelstringOptional
thankYoustringOptional
postPurchasestringOptional
get/shopify/snippets/{tagId}
GET /v1/shopify/snippets/{tagId} HTTP/1.1
Host: api.edgetag.io
Accept: */*
{
  "customPixel": "text",
  "thankYou": "text",
  "postPurchase": "text"
}
post
Authorizations
Body
object · Hidden ModelOptional
Responses
200

Successful

application/json
stringOptional
post/provider/shopify/orders/{tagId}
POST /v1/provider/shopify/orders/{tagId} HTTP/1.1
Host: api.edgetag.io
Content-Type: application/json
Accept: */*
Content-Length: 2

{}
text

Last updated

Was this helpful?